# Start HCA driver upon boot
ONBOOT=yes

# Allow calling the service script with the option 'stop' for unloading the driver stack.
# This flag should be disabled when the OS root file system is on remote storage.
ALLOW_STOP=yes

# Run the service script with force mode to enable loading the driver stack even
# if the available modules were not installed by MLNX_OFED package.
FORCE_MODE=no

# Node description
NODE_DESC=$(hostname -s)

# Wait for NODE_DESC_TIME_BEFORE_UPDATE sec before node_desc update
NODE_DESC_TIME_BEFORE_UPDATE=20

# Max time in seconds to wait for node's hostname to be set
NODE_DESC_UPDATE_TIMEOUT=120

# Seconds to sleep after openibd start finished and before releasing the shell
POST_START_DELAY=0

# Run /usr/sbin/mlnx_affinity
RUN_AFFINITY_TUNER=no

# Run /usr/sbin/mlnx_tune
RUN_MLNX_TUNE=no

# Load E_IPoIB
LOAD_EIPOIB=no

# Increase ib_mad thread priority
RENICE_IB_MAD=no

# Run sysctl performance tuning script
RUN_SYSCTL=no

# Enable FW debug tracer - set to no to disable, default = yes
ENABLE_FW_TRACER=yes

# Set MAC address of PF via ECPF
# SMARTNIC_PF_MAC_CONF="[<bdf1>-<MAC1>] [<bdf2>-<MAC2>] ..."
# E.g.:
# SMARTNIC_PF_MAC_CONF="0000:03:00.0-c4:8a:07:a5:29:70 0000:03:00.1-c4:8a:07:a5:29:71"
# Load UMAD module
UMAD_LOAD=yes
# Load UVERBS module
UVERBS_LOAD=yes
# Load RDMA_CM module
RDMA_CM_LOAD=yes
# Load RDMA_UCM module
RDMA_UCM_LOAD=yes
# Load MLX5 modules
MLX5_LOAD=yes
# Load IPoIB
IPOIB_LOAD=yes
# Load SRP module
SRP_LOAD=no
